#include <bits/stdc++.h>
#define endl "\n"

using namespace std;
void speed()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
}
int a[1000024],n,m,sum;
void read()
{
    cin>>n>>m;
    int del=n;
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        if(a[i]==0)del--;
        sum+=a[i];
    }
    cout<<sum/del+1<<endl;
}
int main()
{
    speed();
    read();
    return 0;
}
